• There is NO official Otland's Discord server and NO official Otland's server list. The Otland's Staff does not manage any Discord server or server list. Moderators or administrator of any Discord server or server lists have NO connection to the Otland's Staff. Do not get scammed!
  • 2026 staff recruitment is open! Check it out and consider applying!

Linux Error in Compiling.

bok

Member
Joined
Apr 28, 2009
Messages
333
Reaction score
7
Location
127.0.0.1/Brasil/Goias
Compiling using r3777 0.4.0 ubuntu

./autogen.sh
./configure --enable-mysql
./build.sh
Code:
root@augusto-ubuntu:/tfs# ./autogen.sh
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force 
autoreconf: configure.ac: tracing
autoreconf: configure.ac: not using Libtool
autoreconf: running: /usr/bin/autoconf --force
autoreconf: running: /usr/bin/autoheader --force
autoreconf: running: automake --add-missing --copy --force-missing
autoreconf: Leaving directory `.'
root@augusto-ubuntu:/tfs# ./configure --enable-mysql
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for g++... g++
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdint.h... (cached) yes
checking for stdlib.h... (cached) yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/timeb.h usability... yes
checking sys/timeb.h presence... yes
checking for sys/timeb.h... yes
checking for stdbool.h that conforms to C99... yes
checking for _Bool... no
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for int16_t... yes
checking for int32_t... yes
checking for int64_t... yes
checking for size_t... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for uint16_t... yes
checking for uint32_t... yes
checking for uint64_t... yes
checking for uint8_t... yes
checking for ptrdiff_t... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking for working memcmp... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... yes
checking for ceil... yes
checking for floor... yes
checking for ftime... yes
checking for gethostbyname... yes
checking for gethostname... yes
checking for memset... yes
checking for pow... yes
checking for sqrt... yes
checking for strcasecmp... yes
checking for strncasecmp... yes
checking for strstr... yes
checking for strtol... yes
checking for xml2-config... /usr/bin/xml2-config
checking for libxml - version >= 2.6.5... yes (version 2.7.8)
checking gmp.h usability... yes
checking gmp.h presence... yes
checking for gmp.h... yes
checking for __gmpz_init2 in -lgmp... yes
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
checking for main in -lz... yes
checking for main in -lboost_thread-gcc-mt... no
checking for main in -lboost_thread-mt... yes
checking for main in -lboost_regex-gcc-mt... no
checking for main in -lboost_regex-mt... yes
checking for main in -lboost_system-gcc-mt... no
checking for main in -lboost_system-mt... yes
checking for main in -lboost_date_time-gcc-mt... no
checking for main in -lboost_date_time-mt... yes
checking for main in -lboost_filesystem-gcc-mt... no
checking for main in -lboost_filesystem-mt... yes
checking boost/asio.hpp usability... yes
checking boost/asio.hpp presence... yes
checking for boost/asio.hpp... yes
checking boost/tr1/unordered_set.hpp usability... yes
checking boost/tr1/unordered_set.hpp presence... yes
checking for boost/tr1/unordered_set.hpp... yes
checking cryptopp/sha.h usability... yes
checking cryptopp/sha.h presence... yes
checking for cryptopp/sha.h... yes
checking cryptopp/md5.h usability... yes
checking cryptopp/md5.h presence... yes
checking for cryptopp/md5.h... yes
checking cryptopp/adler32.h usability... yes
checking cryptopp/adler32.h presence... yes
checking for cryptopp/adler32.h... yes
checking cryptopp/hex.h usability... yes
checking cryptopp/hex.h presence... yes
checking for cryptopp/hex.h... yes
checking cryptopp/base64.h usability... yes
checking cryptopp/base64.h presence... yes
checking for cryptopp/base64.h... yes
checking cryptopp/hmac.h usability... yes
checking cryptopp/hmac.h presence... yes
checking for cryptopp/hmac.h... yes
checking cryptopp/cryptlib.h usability... yes
checking cryptopp/cryptlib.h presence... yes
checking for cryptopp/cryptlib.h... yes
checking for main in -lcryptopp... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for LUA... yes
checking mysql/mysql.h usability... yes
checking mysql/mysql.h presence... yes
checking for mysql/mysql.h... yes
checking for main in -lmysqlclient... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands

theforgottenserver 0.4

Server diagnostics.......... : no
Login server mode........... : no
OTAdmin protocol............ : no
Root run permission......... : no
Login server mode........... : no
Home-directory configuration : no
OTServ custom allocator..... : no
Debug build................. : no
Using LuaJIT................ : no

Build with MySQL............ : yes
Build with SQLite........... : no
Build with PostgreSQL....... : no

Configure complete, now you may type './build.sh'.
root@augusto-ubuntu:/tfs# ^C
root@augusto-ubuntu:/tfs# ./build.sh
TheForgottenServer build script- seems to speed things up ALOT.
CCache: OK
CCache binaries located in /usr/lib/ccache
Building on 1 cores, using 2 processes
make  all-am
make[1]: Entrando no diretório `/tfs'
g++ -DHAVE_CONFIG_H -I.    -I/usr/include/libxml2  -I/usr/include/lua5.1   -O2 -fomit-frame-pointer -D__USE_MYSQL__    -D__WAR_SYSTEM__ -D_THREAD_SAFE -D_REENTRANT -Wall -Wextra -Werror -Wno-strict-aliasing -pipe -MT game.o -MD -MP -MF .deps/game.Tpo -c -o game.o game.cpp
g++ -DHAVE_CONFIG_H -I.    -I/usr/include/libxml2  -I/usr/include/lua5.1   -O2 -fomit-frame-pointer -D__USE_MYSQL__    -D__WAR_SYSTEM__ -D_THREAD_SAFE -D_REENTRANT -Wall -Wextra -Werror -Wno-strict-aliasing -pipe -MT iomapserialize.o -MD -MP -MF .deps/iomapserialize.Tpo -c -o iomapserialize.o iomapserialize.cpp
mv -f .deps/iomapserialize.Tpo .deps/iomapserialize.Po
g++ -DHAVE_CONFIG_H -I.    -I/usr/include/libxml2  -I/usr/include/lua5.1   -O2 -fomit-frame-pointer -D__USE_MYSQL__    -D__WAR_SYSTEM__ -D_THREAD_SAFE -D_REENTRANT -Wall -Wextra -Werror -Wno-strict-aliasing -pipe -MT item.o -MD -MP -MF .deps/item.Tpo -c -o item.o item.cpp
game.cpp: No construtor ‘Game::Game()’:
game.cpp:80:22: erro: array subscript is above array bounds [-Werror=array-bounds]
game.h: Na função membro ‘void Game::globalSave()’:
game.h:613:76: erro: array subscript is above array bounds [-Werror=array-bounds]
game.cpp: Na função membro ‘void Game::prepareGlobalSave()’:
game.cpp:6138:30: erro: array subscript is above array bounds [-Werror=array-bounds]
game.cpp:6140:22: erro: array subscript is above array bounds [-Werror=array-bounds]
cc1plus: all warnings being treated as errors
make[1]: ** [game.o] Erro 1
make[1]: ** Esperando que outros processos terminem.
mv -f .deps/item.Tpo .deps/item.Po
make[1]: Saindo do diretório `/tfs'
make: ** [all] Erro 2
 
What version is your OTserver? you have bad sources , try changed other version Trunk. I remember trunk 3777 is 8.60 ,3859 is for 8.60
 
Simply edit your Makefile by using the following command:
Code:
nano Makefile
and CTRL+W find CXXFLAGS and add this to it:
Code:
-Wno-array-bounds
Recompile
WARNING: Do not run configure again after that
 
Now I'm using rev 3859
my Makefile
Code:
# Makefile.in generated by automake 1.11.3 from Makefile.am.# Makefile.  Generated from Makefile.in by configure.


# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.


# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.








pkgdatadir = $(datadir)/theforgottenserver
pkgincludedir = $(includedir)/theforgottenserver
pkglibdir = $(libdir)/theforgottenserver
pkglibexecdir = $(libexecdir)/theforgottenserver
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
noinst_PROGRAMS = theforgottenserver$(EXEEXT)
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
    $(srcdir)/Makefile.in $(srcdir)/config.h.in \
    $(top_srcdir)/configure depcomp install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
    $(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am__theforgottenserver_SOURCES_DIST = account.h actions.cpp actions.h \
    admin.cpp admin.h allocator.cpp allocator.h baseevents.cpp \
    baseevents.h beds.cpp beds.h chat.cpp chat.h combat.cpp \
    combat.h condition.cpp condition.h config.h configmanager.cpp \
    configmanager.h connection.cpp connection.h const.h \
    container.cpp container.h creature.cpp creature.h \
    creatureevent.cpp creatureevent.h cylinder.cpp cylinder.h \
    database.cpp database.h databasemanager.cpp databasemanager.h \
    databasemysql.cpp databasemysql.h databasesqlite.cpp \
    databasesqlite.h databasepgsql.cpp databasepgsql.h depot.cpp \
    depot.h dispatcher.cpp dispatcher.h exception.cpp exception.h \
    fileloader.cpp fileloader.h game.cpp game.h gameservers.cpp \
    gameservers.h globalevent.cpp globalevent.h group.cpp group.h \
    house.cpp house.h housetile.cpp housetile.h ioban.cpp ioban.h \
    ioguild.cpp ioguild.h iologindata.cpp iologindata.h iomap.cpp \
    iomap.h iomapserialize.cpp iomapserialize.h item.cpp item.h \
    itemattributes.cpp itemattributes.h items.cpp items.h \
    luascript.cpp luascript.h mailbox.cpp mailbox.h manager.cpp \
    manager.h map.cpp map.h monster.cpp monster.h monsters.cpp \
    monsters.h movement.cpp movement.h networkmessage.cpp \
    networkmessage.h npc.cpp npc.h otpch.h otserv.cpp otsystem.h \
    outfit.cpp outfit.h outputmessage.cpp outputmessage.h \
    party.cpp party.h player.cpp player.h position.cpp position.h \
    protocol.cpp protocol.h protocolgame.cpp protocolgame.h \
    protocolhttp.cpp protocolhttp.h protocollogin.cpp \
    protocollogin.h protocolold.cpp protocolold.h quests.cpp \
    quests.h raids.cpp raids.h scheduler.cpp scheduler.h \
    scriptmanager.cpp scriptmanager.h server.cpp server.h \
    spawn.cpp spawn.h spells.cpp spells.h status.cpp status.h \
    talkaction.cpp talkaction.h teleport.cpp teleport.h \
    templates.h textlogger.cpp textlogger.h thing.cpp thing.h \
    tile.cpp tile.h tools.cpp tools.h town.h trashholder.cpp \
    trashholder.h waitlist.cpp waitlist.h waypoints.h weapons.cpp \
    weapons.h vocation.cpp vocation.h
#am__objects_1 = admin.$(OBJEXT)
am__objects_2 = databasemysql.$(OBJEXT)
#am__objects_3 = databasesqlite.$(OBJEXT)
#am__objects_4 = databasepgsql.$(OBJEXT)
#am__objects_5 = gameservers.$(OBJEXT)
am_theforgottenserver_OBJECTS = actions.$(OBJEXT) $(am__objects_1) \
    allocator.$(OBJEXT) baseevents.$(OBJEXT) beds.$(OBJEXT) \
    chat.$(OBJEXT) combat.$(OBJEXT) condition.$(OBJEXT) \
    configmanager.$(OBJEXT) connection.$(OBJEXT) \
    container.$(OBJEXT) creature.$(OBJEXT) creatureevent.$(OBJEXT) \
    cylinder.$(OBJEXT) database.$(OBJEXT) \
    databasemanager.$(OBJEXT) $(am__objects_2) $(am__objects_3) \
    $(am__objects_4) depot.$(OBJEXT) dispatcher.$(OBJEXT) \
    exception.$(OBJEXT) fileloader.$(OBJEXT) game.$(OBJEXT) \
    $(am__objects_5) globalevent.$(OBJEXT) group.$(OBJEXT) \
    house.$(OBJEXT) housetile.$(OBJEXT) ioban.$(OBJEXT) \
    ioguild.$(OBJEXT) iologindata.$(OBJEXT) iomap.$(OBJEXT) \
    iomapserialize.$(OBJEXT) item.$(OBJEXT) \
    itemattributes.$(OBJEXT) items.$(OBJEXT) luascript.$(OBJEXT) \
    mailbox.$(OBJEXT) manager.$(OBJEXT) map.$(OBJEXT) \
    monster.$(OBJEXT) monsters.$(OBJEXT) movement.$(OBJEXT) \
    networkmessage.$(OBJEXT) npc.$(OBJEXT) otserv.$(OBJEXT) \
    outfit.$(OBJEXT) outputmessage.$(OBJEXT) party.$(OBJEXT) \
    player.$(OBJEXT) position.$(OBJEXT) protocol.$(OBJEXT) \
    protocolgame.$(OBJEXT) protocolhttp.$(OBJEXT) \
    protocollogin.$(OBJEXT) protocolold.$(OBJEXT) quests.$(OBJEXT) \
    raids.$(OBJEXT) scheduler.$(OBJEXT) scriptmanager.$(OBJEXT) \
    server.$(OBJEXT) spawn.$(OBJEXT) spells.$(OBJEXT) \
    status.$(OBJEXT) talkaction.$(OBJEXT) teleport.$(OBJEXT) \
    textlogger.$(OBJEXT) thing.$(OBJEXT) tile.$(OBJEXT) \
    tools.$(OBJEXT) trashholder.$(OBJEXT) waitlist.$(OBJEXT) \
    weapons.$(OBJEXT) vocation.$(OBJEXT)
theforgottenserver_OBJECTS = $(am_theforgottenserver_OBJECTS)
am__DEPENDENCIES_1 =
theforgottenserver_DEPENDENCIES = $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
    $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
    -o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(theforgottenserver_SOURCES)
DIST_SOURCES = $(am__theforgottenserver_SOURCES_DIST)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /tfs/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AUTOCONF = ${SHELL} /tfs/missing --run autoconf
AUTOHEADER = ${SHELL} /tfs/missing --run autoheader
AUTOMAKE = ${SHELL} /tfs/missing --run automake-1.11
AWK = gawk
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -pipe
CYGPATH_W = echo
DEBUG_FLAGS = -O2 -fomit-frame-pointer
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lmysqlclient -lcrypto -lcryptopp -lboost_filesystem-mt -lboost_date_time-mt -lboost_system-mt -lboost_regex-mt -lboost_thread-mt -lz  -L/usr/local/lib -lxml2 -lz -lm
LTLIBOBJS = 
LUA_CFLAGS = -I/usr/include/lua5.1  
LUA_LIBS = -llua5.1  
MAKEINFO = ${SHELL} /tfs/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MYSQL_FLAGS = -D__USE_MYSQL__
MYSQL_LIBS = -lmysqlclient
OBJEXT = o
OPTIONAL_FLAGS = -D__WAR_SYSTEM__ -D__ENABLE_SERVER_DIAGNOSTIC__
PACKAGE = theforgottenserver
PACKAGE_BUGREPORT = 
PACKAGE_NAME = TheForgottenServer
PACKAGE_STRING = TheForgottenServer 0.4
PACKAGE_TARNAME = theforgottenserver
PACKAGE_URL = 
PACKAGE_VERSION = 0.4
PATH_SEPARATOR = :
PGSQL_FLAGS = 
PGSQL_LIBS = 
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PROFILER_FLAGS = 
SET_MAKE = 
SHELL = /bin/bash
SQLITE_FLAGS = 
SQLITE_LIBS = 
STRIP = 
VERSION = 0.4
XML2_CONFIG = /usr/local/bin/xml2-config
XML_CPPFLAGS = -I/usr/local/include/libxml2
XML_LIBS = -L/usr/local/lib -lxml2 -lz -lm
abs_builddir = /tfs
abs_srcdir = /tfs
abs_top_builddir = /tfs
abs_top_srcdir = /tfs
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tfs/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
AM_CXXFLAGS = $(XML_CPPFLAGS) $(OTSERV_FLAGS) $(LUA_CFLAGS) $(DEBUG_FLAGS)\
$(MYSQL_FLAGS) $(SQLITE_FLAGS) $(PGSQL_FLAGS) $(PROFILER_FLAGS)\
$(OPTIONAL_FLAGS) -D_THREAD_SAFE -D_REENTRANT -Wall -Wextra -Werror -Wno-strict-aliasing


theforgottenserver_LDADD = $(LUA_LIBS)
MAYBE_MYSQL = databasemysql.cpp databasemysql.h
#MAYBE_SQLITE = databasesqlite.cpp databasesqlite.h
#MAYBE_PGSQL = databasepgsql.cpp databasepgsql.h
#MAYBE_LOGIN = gameservers.cpp gameservers.h
#MAYBE_OTADMIN = admin.cpp admin.h
theforgottenserver_SOURCES = account.h actions.cpp actions.h $(MAYBE_OTADMIN) \
    allocator.cpp allocator.h baseevents.cpp baseevents.h beds.cpp \
    beds.h chat.cpp chat.h combat.cpp combat.h condition.cpp condition.h \
    config.h configmanager.cpp configmanager.h connection.cpp connection.h \
    const.h container.cpp container.h creature.cpp creature.h \
    creatureevent.cpp creatureevent.h cylinder.cpp cylinder.h database.cpp \
    database.h databasemanager.cpp databasemanager.h $(MAYBE_MYSQL) \
    $(MAYBE_SQLITE) $(MAYBE_PGSQL) depot.cpp depot.h dispatcher.cpp \
    dispatcher.h exception.cpp exception.h fileloader.cpp fileloader.h \
    game.cpp game.h $(MAYBE_LOGIN) globalevent.cpp globalevent.h group.cpp \
    group.h house.cpp house.h housetile.cpp housetile.h ioban.cpp ioban.h \
    ioguild.cpp ioguild.h iologindata.cpp iologindata.h iomap.cpp iomap.h \
    iomapserialize.cpp iomapserialize.h item.cpp item.h itemattributes.cpp \
    itemattributes.h items.cpp items.h luascript.cpp luascript.h \
    mailbox.cpp mailbox.h manager.cpp manager.h map.cpp map.h monster.cpp \
    monster.h monsters.cpp monsters.h movement.cpp movement.h \
    networkmessage.cpp networkmessage.h npc.cpp npc.h otpch.h otserv.cpp \
    otsystem.h outfit.cpp outfit.h outputmessage.cpp outputmessage.h \
    party.cpp party.h player.cpp player.h position.cpp position.h \
    protocol.cpp protocol.h protocolgame.cpp protocolgame.h \
    protocolhttp.cpp protocolhttp.h protocollogin.cpp protocollogin.h \
    protocolold.cpp protocolold.h quests.cpp quests.h raids.cpp raids.h \
    scheduler.cpp scheduler.h scriptmanager.cpp \
    scriptmanager.h server.cpp server.h spawn.cpp spawn.h spells.cpp \
    spells.h status.cpp status.h talkaction.cpp talkaction.h teleport.cpp \
    teleport.h templates.h textlogger.cpp textlogger.h thing.cpp thing.h \
    tile.cpp tile.h tools.cpp tools.h town.h trashholder.cpp trashholder.h \
    waitlist.cpp waitlist.h waypoints.h weapons.cpp weapons.h vocation.cpp \
    vocation.h


all: config.h
    $(MAKE) $(AM_MAKEFLAGS) all-am


.SUFFIXES:
.SUFFIXES: .cpp .o .obj
am--refresh: Makefile
    @:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    @for dep in $?; do \
      case '$(am__configure_deps)' in \
        *$$dep*) \
          echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
          $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
        && exit 0; \
          exit 1;; \
      esac; \
    done; \
    echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
    $(am__cd) $(top_srcdir) && \
      $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    @case '$?' in \
      *config.status*) \
        echo ' $(SHELL) ./config.status'; \
        $(SHELL) ./config.status;; \
      *) \
        echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
        cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
    esac;


$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    $(SHELL) ./config.status --recheck


$(top_srcdir)/configure:  $(am__configure_deps)
    $(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):


config.h: stamp-h1
    @if test ! -f $@; then rm -f stamp-h1; else :; fi
    @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi


stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
    @rm -f stamp-h1
    cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
    ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
    rm -f stamp-h1
    touch $@


distclean-hdr:
    -rm -f config.h stamp-h1


clean-noinstPROGRAMS:
    -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
theforgottenserver$(EXEEXT): $(theforgottenserver_OBJECTS) $(theforgottenserver_DEPENDENCIES) $(EXTRA_theforgottenserver_DEPENDENCIES) 
    @rm -f theforgottenserver$(EXEEXT)
    $(CXXLINK) $(theforgottenserver_OBJECTS) $(theforgottenserver_LDADD) $(LIBS)


mostlyclean-compile:
    -rm -f *.$(OBJEXT)


distclean-compile:
    -rm -f *.tab.c


include ./$(DEPDIR)/actions.Po
include ./$(DEPDIR)/admin.Po
include ./$(DEPDIR)/allocator.Po
include ./$(DEPDIR)/baseevents.Po
include ./$(DEPDIR)/beds.Po
include ./$(DEPDIR)/chat.Po
include ./$(DEPDIR)/combat.Po
include ./$(DEPDIR)/condition.Po
include ./$(DEPDIR)/configmanager.Po
include ./$(DEPDIR)/connection.Po
include ./$(DEPDIR)/container.Po
include ./$(DEPDIR)/creature.Po
include ./$(DEPDIR)/creatureevent.Po
include ./$(DEPDIR)/cylinder.Po
include ./$(DEPDIR)/database.Po
include ./$(DEPDIR)/databasemanager.Po
include ./$(DEPDIR)/databasemysql.Po
include ./$(DEPDIR)/databasepgsql.Po
include ./$(DEPDIR)/databasesqlite.Po
include ./$(DEPDIR)/depot.Po
include ./$(DEPDIR)/dispatcher.Po
include ./$(DEPDIR)/exception.Po
include ./$(DEPDIR)/fileloader.Po
include ./$(DEPDIR)/game.Po
include ./$(DEPDIR)/gameservers.Po
include ./$(DEPDIR)/globalevent.Po
include ./$(DEPDIR)/group.Po
include ./$(DEPDIR)/house.Po
include ./$(DEPDIR)/housetile.Po
include ./$(DEPDIR)/ioban.Po
include ./$(DEPDIR)/ioguild.Po
include ./$(DEPDIR)/iologindata.Po
include ./$(DEPDIR)/iomap.Po
include ./$(DEPDIR)/iomapserialize.Po
include ./$(DEPDIR)/item.Po
include ./$(DEPDIR)/itemattributes.Po
include ./$(DEPDIR)/items.Po
include ./$(DEPDIR)/luascript.Po
include ./$(DEPDIR)/mailbox.Po
include ./$(DEPDIR)/manager.Po
include ./$(DEPDIR)/map.Po
include ./$(DEPDIR)/monster.Po
include ./$(DEPDIR)/monsters.Po
include ./$(DEPDIR)/movement.Po
include ./$(DEPDIR)/networkmessage.Po
include ./$(DEPDIR)/npc.Po
include ./$(DEPDIR)/otserv.Po
include ./$(DEPDIR)/outfit.Po
include ./$(DEPDIR)/outputmessage.Po
include ./$(DEPDIR)/party.Po
include ./$(DEPDIR)/player.Po
include ./$(DEPDIR)/position.Po
include ./$(DEPDIR)/protocol.Po
include ./$(DEPDIR)/protocolgame.Po
include ./$(DEPDIR)/protocolhttp.Po
include ./$(DEPDIR)/protocollogin.Po
include ./$(DEPDIR)/protocolold.Po
include ./$(DEPDIR)/quests.Po
include ./$(DEPDIR)/raids.Po
include ./$(DEPDIR)/scheduler.Po
include ./$(DEPDIR)/scriptmanager.Po
include ./$(DEPDIR)/server.Po
include ./$(DEPDIR)/spawn.Po
include ./$(DEPDIR)/spells.Po
include ./$(DEPDIR)/status.Po
include ./$(DEPDIR)/talkaction.Po
include ./$(DEPDIR)/teleport.Po
include ./$(DEPDIR)/textlogger.Po
include ./$(DEPDIR)/thing.Po
include ./$(DEPDIR)/tile.Po
include ./$(DEPDIR)/tools.Po
include ./$(DEPDIR)/trashholder.Po
include ./$(DEPDIR)/vocation.Po
include ./$(DEPDIR)/waitlist.Po
include ./$(DEPDIR)/weapons.Po


.cpp.o:
    $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#    source='$<' object='$@' libtool=no \
#    DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#    $(CXXCOMPILE) -c -o $@ $<


.cpp.obj:
    $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#    source='$<' object='$@' libtool=no \
#    DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#    $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`


ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
    list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
    unique=`for i in $$list; do \
        if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
      done | \
      $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
          END { if (nonempty) { for (i in files) print i; }; }'`; \
    mkid -fID $$unique
tags: TAGS


TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
        $(TAGS_FILES) $(LISP)
    set x; \
    here=`pwd`; \
    list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    unique=`for i in $$list; do \
        if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
      done | \
      $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
          END { if (nonempty) { for (i in files) print i; }; }'`; \
    shift; \
    if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
      test -n "$$unique" || unique=$$empty_fix; \
      if test $$# -gt 0; then \
        $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
          "$$@" $$unique; \
      else \
        $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
          $$unique; \
      fi; \
    fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
        $(TAGS_FILES) $(LISP)
    list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    unique=`for i in $$list; do \
        if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
      done | \
      $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
          END { if (nonempty) { for (i in files) print i; }; }'`; \
    test -z "$(CTAGS_ARGS)$$unique" \
      || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
         $$unique


GTAGS:
    here=`$(am__cd) $(top_builddir) && pwd` \
      && $(am__cd) $(top_srcdir) \
      && gtags -i $(GTAGS_ARGS) "$$here"


distclean-tags:
    -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags


distdir: $(DISTFILES)
    $(am__remove_distdir)
    test -d "$(distdir)" || mkdir "$(distdir)"
    @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    list='$(DISTFILES)'; \
      dist_files=`for file in $$list; do echo $$file; done | \
      sed -e "s|^$$srcdirstrip/||;t" \
          -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
    case $$dist_files in \
      */*) $(MKDIR_P) `echo "$$dist_files" | \
               sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
               sort -u` ;; \
    esac; \
    for file in $$dist_files; do \
      if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
      if test -d $$d/$$file; then \
        dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
        if test -d "$(distdir)/$$file"; then \
          find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
        fi; \
        if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
          cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
          find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
        fi; \
        cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
      else \
        test -f "$(distdir)/$$file" \
        || cp -p $$d/$$file "$(distdir)/$$file" \
        || exit 1; \
      fi; \
    done
    -test -n "$(am__skip_mode_fix)" \
    || find "$(distdir)" -type d ! -perm -755 \
        -exec chmod u+rwx,go+rx {} \; -o \
      ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
      ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
      ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
    || chmod -R a+r "$(distdir)"
dist-gzip: distdir
    tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    $(am__remove_distdir)


dist-bzip2: distdir
    tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
    $(am__remove_distdir)


dist-lzip: distdir
    tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
    $(am__remove_distdir)


dist-lzma: distdir
    tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
    $(am__remove_distdir)


dist-xz: distdir
    tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
    $(am__remove_distdir)


dist-tarZ: distdir
    tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
    $(am__remove_distdir)


dist-shar: distdir
    shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
    $(am__remove_distdir)


dist-zip: distdir
    -rm -f $(distdir).zip
    zip -rq $(distdir).zip $(distdir)
    $(am__remove_distdir)


dist dist-all: distdir
    tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    $(am__remove_distdir)


# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
    case '$(DIST_ARCHIVES)' in \
    *.tar.gz*) \
      GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
    *.tar.bz2*) \
      bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
    *.tar.lzma*) \
      lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
    *.tar.lz*) \
      lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
    *.tar.xz*) \
      xz -dc $(distdir).tar.xz | $(am__untar) ;;\
    *.tar.Z*) \
      uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
    *.shar.gz*) \
      GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
    *.zip*) \
      unzip $(distdir).zip ;;\
    esac
    chmod -R a-w $(distdir); chmod a+w $(distdir)
    mkdir $(distdir)/_build
    mkdir $(distdir)/_inst
    chmod a-w $(distdir)
    test -d $(distdir)/_build || exit 0; \
    dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
      && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
      && am__cwd=`pwd` \
      && $(am__cd) $(distdir)/_build \
      && ../configure --srcdir=.. --prefix="$$dc_install_base" \
        $(AM_DISTCHECK_CONFIGURE_FLAGS) \
        $(DISTCHECK_CONFIGURE_FLAGS) \
      && $(MAKE) $(AM_MAKEFLAGS) \
      && $(MAKE) $(AM_MAKEFLAGS) dvi \
      && $(MAKE) $(AM_MAKEFLAGS) check \
      && $(MAKE) $(AM_MAKEFLAGS) install \
      && $(MAKE) $(AM_MAKEFLAGS) installcheck \
      && $(MAKE) $(AM_MAKEFLAGS) uninstall \
      && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
            distuninstallcheck \
      && chmod -R a-w "$$dc_install_base" \
      && ({ \
           (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
           && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
           && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
           && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
                distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
          } || { rm -rf "$$dc_destdir"; exit 1; }) \
      && rm -rf "$$dc_destdir" \
      && $(MAKE) $(AM_MAKEFLAGS) dist \
      && rm -rf $(DIST_ARCHIVES) \
      && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
      && cd "$$am__cwd" \
      || exit 1
    $(am__remove_distdir)
    @(echo "$(distdir) archives ready for distribution: "; \
      list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
      sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
distuninstallcheck:
    @test -n '$(distuninstallcheck_dir)' || { \
      echo 'ERROR: trying to run $@ with an empty' \
           '$$(distuninstallcheck_dir)' >&2; \
      exit 1; \
    }; \
    $(am__cd) '$(distuninstallcheck_dir)' || { \
      echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
      exit 1; \
    }; \
    test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
       || { echo "ERROR: files left after uninstall:" ; \
            if test -n "$(DESTDIR)"; then \
              echo "  (check DESTDIR support)"; \
            fi ; \
            $(distuninstallcheck_listfiles) ; \
            exit 1; } >&2
distcleancheck: distclean
    @if test '$(srcdir)' = . ; then \
      echo "ERROR: distcleancheck can only run from a VPATH build" ; \
      exit 1 ; \
    fi
    @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
      || { echo "ERROR: files left in build directory after distclean:" ; \
           $(distcleancheck_listfiles) ; \
           exit 1; } >&2
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS) config.h
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am


install-am: all-am
    @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am


installcheck: installcheck-am
install-strip:
    if test -z '$(STRIP)'; then \
      $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
        install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
          install; \
    else \
      $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
        install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
        "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
    fi
mostlyclean-generic:


clean-generic:


distclean-generic:
    -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
    -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)


maintainer-clean-generic:
    @echo "This command is intended for maintainers to use"
    @echo "it deletes files that may require special tools to rebuild."
clean: clean-am


clean-am: clean-generic clean-noinstPROGRAMS mostlyclean-am


distclean: distclean-am
    -rm -f $(am__CONFIG_DISTCLEAN_FILES)
    -rm -rf ./$(DEPDIR)
    -rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
    distclean-hdr distclean-tags


dvi: dvi-am


dvi-am:


html: html-am


html-am:


info: info-am


info-am:


install-data-am:


install-dvi: install-dvi-am


install-dvi-am:


install-exec-am:


install-html: install-html-am


install-html-am:


install-info: install-info-am


install-info-am:


install-man:


install-pdf: install-pdf-am


install-pdf-am:


install-ps: install-ps-am


install-ps-am:


installcheck-am:


maintainer-clean: maintainer-clean-am
    -rm -f $(am__CONFIG_DISTCLEAN_FILES)
    -rm -rf $(top_srcdir)/autom4te.cache
    -rm -rf ./$(DEPDIR)
    -rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic


mostlyclean: mostlyclean-am


mostlyclean-am: mostlyclean-compile mostlyclean-generic


pdf: pdf-am


pdf-am:


ps: ps-am


ps-am:


uninstall-am:


.MAKE: all install-am install-strip


.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
    clean-generic clean-noinstPROGRAMS ctags dist dist-all \
    dist-bzip2 dist-gzip dist-lzip dist-lzma dist-shar dist-tarZ \
    dist-xz dist-zip distcheck distclean distclean-compile \
    distclean-generic distclean-hdr distclean-tags distcleancheck \
    distdir distuninstallcheck dvi dvi-am html html-am info \
    info-am install install-am install-data install-data-am \
    install-dvi install-dvi-am install-exec install-exec-am \
    install-html install-html-am install-info install-info-am \
    install-man install-pdf install-pdf-am install-ps \
    install-ps-am install-strip installcheck installcheck-am \
    installdirs maintainer-clean maintainer-clean-generic \
    mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
    ps ps-am tags uninstall uninstall-am




# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:


 
[C+]
Configure complete, now you may type './build.sh'.
root@bok:/tfs# ./build.sh
TheForgottenServer build script- seems to speed things up ALOT.
CCache: OK
CCache binaries located in /usr/lib/ccache
Building on 2 cores, using 3 processes
make all-am
make[1]: Entrando no diretório `/tfs'
g++ -DHAVE_CONFIG_H -I. -I/usr/local/include/libxml2 -I/usr/include/lua5.1 -O2 -fomit-frame-pointer -D__USE_MYSQL__ -D__WAR_SYSTEM__ -D_THREAD_SAFE -D_REENTRANT -Wall -Wextra -Werror -Wno-strict-aliasing -pipe -MT game.o -MD -MP -MF .deps/game.Tpo -c -o game.o game.cpp
g++ -DHAVE_CONFIG_H -I. -I/usr/local/include/libxml2 -I/usr/include/lua5.1 -O2 -fomit-frame-pointer -D__USE_MYSQL__ -D__WAR_SYSTEM__ -D_THREAD_SAFE -D_REENTRANT -Wall -Wextra -Werror -Wno-strict-aliasing -pipe -MT luascript.o -MD -MP -MF .deps/luascript.Tpo -c -o luascript.o luascript.cpp
g++ -DHAVE_CONFIG_H -I. -I/usr/local/include/libxml2 -I/usr/include/lua5.1 -O2 -fomit-frame-pointer -D__USE_MYSQL__ -D__WAR_SYSTEM__ -D_THREAD_SAFE -D_REENTRANT -Wall -Wextra -Werror -Wno-strict-aliasing -pipe -MT map.o -MD -MP -MF .deps/map.Tpo -c -o map.o map.cpp
luascript.cpp: Na função membro ‘bool LuaInterface::loadDirectory(const string&, Npc*, bool)’:
luascript.cpp:741:23: erro: ‘class boost::filesystem3::directory_entry’ has no member named ‘leaf’
luascript.cpp:744:61: erro: no match for ‘operator+’ in ‘boost::filesystem3::path::filename() const() + "/"’
make[1]: ** [luascript.o] Erro 1
make[1]: ** Esperando que outros processos terminem.
mv -f .deps/map.Tpo .deps/map.Po
game.cpp: No construtor ‘Game::Game()’:
game.cpp:80:22: erro: array subscript is above array bounds [-Werror=array-bounds]
game.h: Na função membro ‘void Game::globalSave()’:
game.h:623:76: erro: array subscript is above array bounds [-Werror=array-bounds]
game.cpp: Na função membro ‘void Game::prepareGlobalSave()’:
game.cpp:6250:30: erro: array subscript is above array bounds [-Werror=array-bounds]
game.cpp:6252:22: erro: array subscript is above array bounds [-Werror=array-bounds]
cc1plus: all warnings being treated as errors
make[1]: ** [game.o] Erro 1
make[1]: Saindo do diretório `/tfs'
make: ** [all] Erro 2
root@bok:/tfs# make
make all-am
make[1]: Entrando no diretório `/tfs'
g++ -DHAVE_CONFIG_H -I. -I/usr/local/include/libxml2 -I/usr/include/lua5.1 -O2 -fomit-frame-pointer -D__USE_MYSQL__ -D__WAR_SYSTEM__ -D_THREAD_SAFE -D_REENTRANT -Wall -Wextra -Werror -Wno-strict-aliasing -pipe -MT game.o -MD -MP -MF .deps/game.Tpo -c -o game.o game.cpp
game.cpp: No construtor ‘Game::Game()’:
game.cpp:80:22: erro: array subscript is above array bounds [-Werror=array-bounds]
game.h: Na função membro ‘void Game::globalSave()’:
game.h:623:76: erro: array subscript is above array bounds [-Werror=array-bounds]
game.cpp: Na função membro ‘void Game::prepareGlobalSave()’:
game.cpp:6250:30: erro: array subscript is above array bounds [-Werror=array-bounds]
game.cpp:6252:22: erro: array subscript is above array bounds [-Werror=array-bounds]
cc1plus: all warnings being treated as errors
make[1]: ** [game.o] Erro 1
make[1]: Saindo do diretório `/tfs'
make: ** [all] Erro 2
[/C+]
 
Back
Top